// priority: 1000
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded solar_panel_casing.js)')


// solar_panel_casing
StartupEvents.registry('block', event => {
    event.create('solar_panel_casing')
        .displayName('Solar Panel Casing')
        .soundType('metal')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/solar_panel_casing.json (point to block model)
assets/kubejs/models/block/custom_casings/solar_panel_casing.json (parent minecraft:block/cube_all + texture key)
assets/kubejs/models/item/solar_panel_casing.json (item uses block model)
assets/kubejs/textures/block/custom_casings/solar_panel_casing/{standard,ctm}.png/mcmeta
*/